1. Scheduling
Easyteam Retail
  • Home
  • Staff
    • Get all staff members
      GET
    • Get a single staff member
      GET
  • Scheduling
    • Get published shift schedules
      GET
  • Timesheets
    • Get timesheets summary
      GET
    • Get detailed timesheets an employee
      GET
  • Commissions
    • Get commissions summary
      GET
    • Get detailed commissions breakdown for a staff member
      GET
  • Sales Goals
    • Get sales goals data
      GET
  1. Scheduling

Get published shift schedules

GET
/api/rest/schedule/{shopId}/
Retrieve published shift schedules for a specific merchant with optional filters

Request

Authorization
Path Params

Query Params

Responses

🟢200
application/json
Successfully retrieved shift schedules
Body

🟠400
🟠401
🟠403
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/rest/schedule//?userId&locationId&from&to'
Response Response Example
[
    {
        "employeeName": "string",
        "shopifyUserId": "string",
        "location": "string",
        "position": "string",
        "date": "2019-08-24",
        "startTime": "2019-08-24T14:15:22.123Z",
        "endTime": "2019-08-24T14:15:22.123Z",
        "breaks": [
            {
                "id": 0,
                "name": "string",
                "type": "string",
                "durationMins": 0,
                "frequencyMins": 0,
                "default": true,
                "required": true
            }
        ]
    }
]
Previous
Get a single staff member
Next
Get timesheets summary